VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Hand"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Dim dragxcorrection As Integer
Dim dragycorrection As Integer
Dim oldDragX As Integer
Dim oldDragY As Integer

Dim parent As frmMain

Sub setParent(main As frmMain)
    Set parent = main
End Sub

Sub MouseDown(X As Single, Y As Single)
    dragxcorrection = Int(X / (TileW * parent.magnifier.Zoom))
    dragycorrection = Int(Y / (TileH * parent.magnifier.Zoom))
End Sub

Sub MouseMove(X As Single, Y As Single)
Dim curtilex As Integer
Dim curtiley As Integer
curtilex = (Int(((parent.hScr.value + X)) / (TileW * parent.magnifier.Zoom)))
curtiley = (Int(((parent.vscr.value + Y)) / (TileH * parent.magnifier.Zoom)))
If (curtilex < 0 Or curtiley < 0 Or curtilex > 1023 Or curtiley > 1023) Then
    Exit Sub
End If
    
    If SharedVar.MouseDown Then
    
            Dim valH As Integer
            Dim valV As Integer
        
        If parent.hScr.value + (dragxcorrection - Int(X / (TileW * parent.magnifier.Zoom))) * (TileW * parent.magnifier.Zoom) < 0 Then
            valH = 0
        ElseIf parent.hScr.value + (dragxcorrection - Int(X / (TileW * parent.magnifier.Zoom))) * (TileW * parent.magnifier.Zoom) > parent.hScr.Max Then
            valH = parent.hScr.Max
        Else
            valH = parent.hScr.value + (dragxcorrection - Int(X / (TileW * parent.magnifier.Zoom))) * (TileW * parent.magnifier.Zoom)
        End If
            
        If parent.vscr.value + (dragycorrection - Int(Y / (TileH * parent.magnifier.Zoom))) * (TileH * parent.magnifier.Zoom) < 0 Then
            valV = 0
        ElseIf parent.vscr.value + (dragycorrection - Int(Y / (TileH * parent.magnifier.Zoom))) * (TileH * parent.magnifier.Zoom) > parent.vscr.Max Then
            valV = parent.vscr.Max
        Else
            valV = parent.vscr.value + (dragycorrection - Int(Y / (TileH * parent.magnifier.Zoom))) * (TileH * parent.magnifier.Zoom)
        End If
        
        Call parent.setScrollBarValues(valH, valV, False)
        
        If oldDragX <> dragxcorrection Or oldDragY <> dragycorrection Then
            parent.UpdateLevel
        End If
        
        oldDragX = dragxcorrection
        oldDragY = dragycorrection
        dragxcorrection = Int(X / (TileW * parent.magnifier.Zoom))
        dragycorrection = Int(Y / (TileH * parent.magnifier.Zoom))
    End If
End Sub

Sub MouseUp()
    'do nothing
End Sub


